## org.eclipse.datatools.modelbase.sql.xml.query.impl
Class XMLValueFunctionValidateElementNamespaceImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLValueFunctionValidateElementNamespaceImpl

All Implemented Interfaces:
  SQLQueryObject, SQLObject, XMLValueFunctionValidateElementNamespace

    public class XMLValueFunctionValidateElementNamespaceImpl

extends SQLQueryObjectImpl
implements XMLValueFunctionValidateElementNamespace

An implementation of the model object 'XML Value Function Validate Element Namespace'.

The following features are implemented:

- `No Namespace`
- `Namespace URI`
- `Validate Element`

Method Summary
`NotificationChain` `basicSetValidateElement(XMLValueFunctionValidateElement newValidateElement, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getNamespaceURI()`
`XMLValueFunctionValidateElement` `getValidateElement()`
`boolean` `isNoNamespace()`
`void` `setNamespaceURI(java.lang.String newNamespaceURI)`
`void` `setNoNamespace(boolean newNoNamespace)`
`void` `setValidateElement(XMLValueFunctionValidateElement newValidateElement)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### isNoNamespace

    public boolean isNoNamespace()

  Specified by:
    `isNoNamespace` in interface `XMLValueFunctionValidateElementNamespace`
  Returns:
    the value of the 'No Namespace' attribute.
  See Also:
    `XMLValueFunctionValidateElementNamespace.setNoNamespace(boolean)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateElementNamespace_NoNamespace()`

### setNoNamespace

    public void setNoNamespace(boolean newNoNamespace)

  Specified by:
    `setNoNamespace` in interface `XMLValueFunctionValidateElementNamespace`
  Parameters:
    `newNoNamespace` - the new value of the 'No Namespace' attribute.
  See Also:
    `XMLValueFunctionValidateElementNamespace.isNoNamespace()`

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `XMLValueFunctionValidateElementNamespace`
  Returns:
    the value of the 'Namespace URI' attribute.
  See Also:
    `XMLValueFunctionValidateElementNamespace.setNamespaceURI(String)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateElementNamespace_NamespaceURI()`

### setNamespaceURI

    public void setNamespaceURI(java.lang.String newNamespaceURI)

  Specified by:
    `setNamespaceURI` in interface `XMLValueFunctionValidateElementNamespace`
  Parameters:
    `newNamespaceURI` - the new value of the 'Namespace URI' attribute.
  See Also:
    `XMLValueFunctionValidateElementNamespace.getNamespaceURI()`

### getValidateElement

    public XMLValueFunctionValidateElement getValidateElement()

  Specified by:
    `getValidateElement` in interface `XMLValueFunctionValidateElementNamespace`
  Returns:
    the value of the 'Validate Element' container reference.
  See Also:
    `XMLValueFunctionValidateElementNamespace.setValidateElement(XMLValueFunctionValidateElement)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateElementNamespace_ValidateElement()`, `XMLValueFunctionValidateElement.getValidateElementNamespace()`

### basicSetValidateElement

    public NotificationChain basicSetValidateElement(XMLValueFunctionValidateElement newValidateElement,
                                                     NotificationChain msgs)

### setValidateElement

    public void setValidateElement(XMLValueFunctionValidateElement newValidateElement)

  Specified by:
    `setValidateElement` in interface `XMLValueFunctionValidateElementNamespace`
  Parameters:
    `newValidateElement` - the new value of the 'Validate Element' container reference.
  See Also:
    `XMLValueFunctionValidateElementNamespace.getValidateElement()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.